在Mac上使用错误版本的Python

我是Python的新手,我在Sublime Text和Mac上使用版本3.8.2。

我在命令终端上将python版本从2.7别名化为3,并且每当我在终端窗口中检查版本时,它都能正常工作。但是,当我在Sublime Test上运行一些代码并检查使用的路径时,它使用的是2.7版本。

我尝试使用终端窗口运行脚本,但是由于系统路径问题而找不到脚本。我现在确定如何编辑或在哪里进行更改。

我尝试使用以下内容编辑Sublime Build设置,但该方法无法正常工作,我不确定这是否是解决方法。

{
    "cmd": ["/usr/local/bin/python3", "-u", "$file"],
    "file_regex": "^[ ]*File \"(...*?)\", line ([0-9]*)",
    "quiet": true
}

我的脚本位于用户>文档> Python文件夹中。 Python安装在Mac的“应用程序”文件夹中。

附件是运行后的代码示例和运行后的终端代码示例。

Cmd Terminal - running my_module.py script

Sublime Text - running courses.py and checking system path